ecos editor blender plugin - Feature #126

Feature # 125 (Closed): Import of ecos entities into editor

Implement ecos entity import into ecos world editor
2021-08-04 15:10 - Fredrick Amnehagen

Status: Closed Start date: 2021-08-11
Priority: Normal Due date: 2021-08-12
Assignee: Fredrick Amnehagen % Done: 100%
Category: Development Estimated time: 4:00 hours
Target version: Sprint 1 - Prototype Spent time: 8:45 hours
Description

Since we now have both blender files with entity data as well as becos-files with the packed binary data (mesh, texturename,

collision mesh), we should now be able to import these in some form into the game world.

If blender file linking is automatically updated upon changes, then this would be a good approach.

e Open an import (link) window that accepts blender files.

¢ Selecting a file imports the collider mesh, a name and an entity name as a mesh in the blender scene.

Otherwise, import .becos-files only

e Open an import window that only accepts .becos-files.
e Selecting one or more files either

imports

the collision mesh(es),

random or average color(s) for the material(s),

the unique entity name

generates a name for the object in the blender scene
Displays a dialog stating that there should be no duplicates in the scene. (if the entity has already been imported.)

History

#1 - 2021-08-04 19:34 - Fredrick Amnehagen
- Start date changed from 2021-08-04 to 2021-08-11

#2 - 2021-08-16 17:39 - Fredrick Amnehagen

- Status changed from To do to In Progress

#3 - 2021-08-16 17:39 - Fredrick Amnehagen
- % Done changed from 0 to 10

#4 - 2021-08-17 19:59 - Fredrick Amnehagen
- % Done changed from 10 to 90

Implemented import entity into world function. refs #126
Implemented function to link in an entity from another blend file.
Implemented Ul for the function.

Lots of testing.
Added some testing files.

2025-05-13

fixed single-material bug. where the entity editor only supported one shared material. Now supports any number of them.
https://redmine.loopaware.com/issues/126

#5 - 2021-08-17 19:59 - Fredrick Amnehagen
- % Done changed from 90 to 100

#6 - 2021-08-17 19:59 - Fredrick Amnehagen

- Status changed from In Progress to Closed
